#pragma once

#include <Arduboy2.h>
#include "Paddle.h"

class Puck{
public:
  //Current position of puck
  float posX = 64;
  float posY = 32;

  //Position of puck last frame
  float lastX;
  float lastY;

  //Current Velocity of puck
  float velX = 0.05;
  float velY = 0.25f;
  
  void Update(Arduboy2& arduboy, Paddle& player, bool& gamePlay);
  void Render(Arduboy2& arduboy);

  void CalcBounceX();
  void CalcBounceY();
  void CalcBouncePlayer(Paddle& player);
};

